#!/bin/bash

if [[ $# != 2 ]]; then
    echo "Usage: $0 <source.svg> <output.ico>"
    exit
fi

sizes=""
for size in 256 48 32 16; do
    inkscape --export-png=/tmp/$$_$size.png --export-width=$size --export-height=$size $1
    sizes="$sizes /tmp/$$_$size.png"
done

convert $sizes $2

rm $sizes
