QMAKE_CXXFLAGS += -std=c++11

CONFIG += qt
CONFIG += static

QT += widgets
QT += sql
QT += svg
QT += network

INCLUDEPATH += ../../src

HEADERS += ../../src/*.h
HEADERS += ../../src/ClientPage/*.h
HEADERS += ../../src/PlayersPage/*.h
HEADERS += ../../src/ScorePage/*.h
HEADERS += ../../src/ServerPage/*.h
HEADERS += ../../src/SettingsDialog/*.h
HEADERS += ../../src/StopWatchDialog/*.h
HEADERS += ../../src/shared/*.h

SOURCES += ../../src/*.cpp
SOURCES += ../../src/ClientPage/*.cpp
SOURCES += ../../src/PlayersPage/*.cpp
SOURCES += ../../src/ScorePage/*.cpp
SOURCES += ../../src/ServerPage/*.cpp
SOURCES += ../../src/SettingsDialog/*.cpp
SOURCES += ../../src/StopWatchDialog/*.cpp
SOURCES += ../../src/shared/*.cpp

RC_FILE = muckturnier.rc

TARGET = muckturnier
