/* Copyright (c) 2018-2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef SCOREPOPUP_H
#define SCOREPOPUP_H

// Local includes
#include "shared/SelectionPopup.h"

class ScorePopup : public SelectionPopup
{
    Q_OBJECT

public:
    explicit ScorePopup(QWidget *parent);
    void setBoogerScore(const int score);
    int score() const;

private slots:
    void scoreClicked(QPushButton *button);

private: // Variables
    int m_boogerScore = -1;
    int m_score;

};

#endif // SCOREPOPUP_H
