/* Copyright (c) 2018-2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef SHARED_STYLES_H
#define SHARED_STYLES_H

namespace SharedStyles
{
const QLatin1String STYLE_BOLD_TEXT  ("font-weight: bold;");
const QLatin1String STYLE_RED_TEXT   ("color: red;");
const QLatin1String STYLE_GREEN_TEXT ("color: green;");
const QLatin1String STYLE_LOGO_HEADER("background-color: #2f874c;");
const QLatin1String STYLE_LOGO_FOOTER("color: white; background-color: #309ac4;");
const QLatin1String STYLE_NO_BORDER  ("border: none;");
}

#endif // SHARED_STYLES_H
